Subject: Re: [PATCH v2 07/24] refs: convert resolve_refdup and refs_resolve_refdup to struct object_id

From: Junio C Hamano <[email-masked]>
Date: Tue, 10 Oct 2017 10:16:29 +0900

"brian m. carlson" <[email-masked]> writes:

> All of the callers already pass the hash member of struct object_id, so
> update them to pass a pointer to the struct directly,
>
> This transformation was done with an update to declaration and
> definition and the following semantic patch:
>
> @@
> expression E1, E2, E3, E4;
> @@
> - resolve_refdup(E1, E2, E3.hash, E4)
> + resolve_refdup(E1, E2, &E3, E4)
>
> @@
> expression E1, E2, E3, E4;
> @@
> - resolve_refdup(E1, E2, E3->hash, E4)
> + resolve_refdup(E1, E2, E3, E4)
>
> Signed-off-by: brian m. carlson <[email-masked]>
> ---

As I mentioned in my response to the cover letter, quite a many of
these now pass NULL (i.e. "I do not care what commit the HEAD is at;
I only am interested in which branch I am on"), making major part of
this patch irrelevant.  The conflict resolution is trivial, and I do
not think rebasing is worth it, though.